#ifndef __TOUCHSCREEN_MASKED_FILTER_SCALER__

#define __TOUCHSCREEN_MASKED_FILTER_SCALER__
#include <TouchlibFilter.h>

// Dominik Schmidt (2008)
// schmidtd@comp.lancs.ac.uk
// http://eis.comp.lancs.ac.uk/~dominik/cms

class TOUCHLIB_FILTER_EXPORT MaskedScalerFilter : public Filter {
public:
	MaskedScalerFilter(char* s);
	void kernel();
    virtual ~MaskedScalerFilter();
	virtual void getParameters(ParameterMap& pMap);
	virtual void setParameter(const char *name, const char *value);
	virtual void showOutput(bool value, int windowx, int windowy);

private:	
	char* scalerMapFile;
	char* rectifyMapFile;

	IplImage* scalerMap;
	IplImage* rectifyMap;
};

#endif